public static class DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
bodyFormat
This parameter takes effect only when the RequestMode parameter is set to MAPPING.
|
String |
bodyModel
The body model.
|
String |
postBodyDescription
The description of the request body.
|
String |
requestHttpMethod
The HTTP method that was used to make the request.
|
String |
requestMode
The request mode.
|
String |
requestPath
The API request path.
|
String |
requestProtocol
The protocol type supported by the API.
|
| 构造器和说明 |
|---|
DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig() |
@NameInMap(value="BodyFormat") public String bodyFormat
This parameter takes effect only when the RequestMode parameter is set to MAPPING.********
The format in which data is transmitted to the server for POST and PUT requests. Valid values: FORM and STREAM. FORM indicates that data is transmitted in the key-value pair format. STREAM indicates that data is transmitted as byte streams.
@NameInMap(value="BodyModel") public String bodyModel
The body model.
@NameInMap(value="PostBodyDescription") public String postBodyDescription
The description of the request body.
@NameInMap(value="RequestHttpMethod") public String requestHttpMethod
The HTTP method that was used to make the request. Valid values: GET, POST, DELETE, PUT, HEADER, TRACE, PATCH, CONNECT, and OPTIONS.
@NameInMap(value="RequestMode") public String requestMode
The request mode. Valid values:
* MAPPING: Parameters are mapped. Unknown parameters are filtered out.
* PASSTHROUGH: Parameters are passed through.
* MAPPING_PASSTHROUGH: Parameters are mapped. Unknown parameters are passed through.
@NameInMap(value="RequestPath") public String requestPath
The API request path. If the complete API URL is `http://api.a.com:8080/object/add?key1=value1&key2=value2`, the API request path is ` /object/add `.
@NameInMap(value="RequestProtocol") public String requestProtocol
The protocol type supported by the API. Valid values: HTTP, HTTPS, and WebSocket. Separate multiple values with commas (,), such as "HTTP,HTTPS".
public DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig()
public static DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig build(Map<String,?> map) throws Exception
Exceptionpublic DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig setBodyFormat(String bodyFormat)
public String getBodyFormat()
public DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig setBodyModel(String bodyModel)
public String getBodyModel()
public DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig setPostBodyDescription(String postBodyDescription)
public String getPostBodyDescription()
public DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig setRequestHttpMethod(String requestHttpMethod)
public String getRequestHttpMethod()
public DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig setRequestMode(String requestMode)
public String getRequestMode()
public DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig setRequestPath(String requestPath)
public String getRequestPath()
public DescribeDeployedApiResponseBody.DescribeDeployedApiResponseBodyRequestConfig setRequestProtocol(String requestProtocol)
public String getRequestProtocol()
Copyright © 2023. All rights reserved.